Loading...
Searching...
No Matches
apr_perms_set.h File Reference

APR Process Locking Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_user.h"`
`#include "apr_file_info.h"`
Include dependency graph for apr_perms_set.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_PERMS_SET_IMPLEMENT(type)
#define | APR_PERMS_SET_ENOTIMPL(type)
#define | APR_PERMS_SET_FN(type) apr_##type##_perms_set

## Typedefs

typedef apr_status_t() | apr_perms_setfn_t(void *object, apr_fileperms_t perms, apr_uid_t uid, apr_gid_t gid)

## Detailed Description

APR Process Locking Routines.